RubyGems Navigation menu

pipeline_toolkit 1.4.1

Command line tools for processing messages by constructing a pipeline of workers. AMQP and Unix pipes are used to construct the pipeline. Messages are simple Hashes (serialized as YAML) so they can hold any values and change throughout the processing.

Versions:

  1. 1.5.0 - November 07, 2011 (21.5 KB)
  2. 1.4.4 - June 27, 2012 (21.5 KB)
  3. 1.4.3 - October 20, 2011 (21.5 KB)
  4. 1.4.2 - September 02, 2011 (21.5 KB)
  5. 1.4.1 - September 02, 2011 (21.5 KB)
Show all versions (37 total)

Runtime Dependencies (7):

  • amqp ~> 0.6.7
  • eventmachine ~> 0.12.10
  • eventmachine_httpserver ~> 0.2.0
  • json >= 0
  • log4r ~> 1.1.9
  • msgpack ~> 0.4.3
  • trollop ~> 1.16
  • Development Dependencies (3):

    Owners:

    Authors:

    • Aisha Fenton, Marcus Wyatt

    SHA 256 checksum:

    813144da3573c4a0ddc11b93e99b736b81d4e0b538210ce89cf76fec2e84e161

    Total downloads 103,372

    For this version 2,619

    Gemfile:
    = Copy to clipboard Copied!

    install:
    =

    Licenses:

    N/A

    Required Ruby Version: None

    Links: